<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$id_alumno=$_GET['id_alumno'];

$desde=$_GET["fdesde"];
$hasta=$_GET["fhasta"];
$fdesde=join ("-",(array_reverse(split("-",$_GET["fdesde"]))));

$fhasta=join ("-",(array_reverse(split("-",$_GET["fhasta"]))));
/*echo 'FECHA DESDE: '.$fdesde;
echo 'FECHA HASTA: '.$fhasta;
*/
/*$sede='13';
$carrera='27A';
*/
// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
 mysql_query ("SET NAMES 'utf8'");
$query_rstAlumnos = "SELECT cedula, apellidos, nombres, tipodoc FROM alumnos WHERE id_alumno='$id_alumno'";
$rstAlumnos = mysql_query($query_rstAlumnos, $cn) or die(mysql_error());
$row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);
$cedula=$row_rstAlumnos['cedula'];
$nombres=$row_rstAlumnos['apellidos'].', '.$row_rstAlumnos['nombres'];
if ($row_rstAlumnos['tipodoc']=="C") {
        $documento="C�DULA: ";
	}
	else {
	    $documento="PASAPORTE: ";
    }	
$identificacion="ALUMNO: ".$nombres." 	".$documento." ".$cedula;
// Incluye la clases que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('LETTER','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(745,15,9,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "Select
pagos.fecha_pago,
pagos.nro_comprobante,
pagos.monto,
pagos.concepto_pago,
pagos.nombre_alumno,
formas_pago.forma_pago
From
pagos
Inner Join formas_pago ON pagos.forma_pago = formas_pago.codigo
Where
pagos.id_alumno = '$id_alumno' AND (pagos.fecha_pago BETWEEN '$fdesde' AND '$fhasta') ORDER BY pagos.fecha_pago
";
// Ejecuta el Query.
$result = mysql_query ($query ) or die (mysql_error()); 
// Numero de Filas.
$totalRows = mysql_num_rows($result);


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$pdf->ezText("UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",16,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText("RELACION DE PAGOS",14,array('justification'=>'center'));
$pdf->ezText("DEL: ".$desde."  AL: ".$hasta,12,array('justification'=>'center'));
$pdf->ezText($identificacion,12,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->addText(600,480,10,'Fecha de Impresi�n: '.date("d/m/Y"));
$pdf->ezsetdy(-5);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.1,3,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.    ', 
			  'fecha'=>'Fecha',
              'documento'=>'    Documento', 
              'forma'=>'       Forma de Pago',
			  'concepto'=>'       Concepto del Pago',
			  'monto'=>'Monto       ',); 
$smc = 0; 
$total=0;
while ($row = mysql_fetch_row($result)) { 
    $fecha       = join ("-",(array_reverse(split("-",$row[0]))));     // Fecha del Pago 
    $documento   = $row[1];     // Nro. del Comprobante 
    $monto       = $row[2];    // nota 
    $forma       = $row[5];
	$concepto    = $row[3];
	
	// Acumula el total de los pagos.
	$total=$total+$monto;
	// Incrementa el n�mero de pagos realizados.
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'fecha'=>$fecha, 
                    'documento'=>$documento, 
                    'monto'=>$monto,
					'forma'=>$forma,
					'concepto'=>$concepto); 
} 

$data[] = array('nro'=>"",
	                'fecha'=>'', 
                    'documento'=>'', 
                    'monto'=>$total,
					'forma'=>'',
					'concepto'=>'TOTAL DE PAGOS:'); 
					
$pdf->ezTable($data,$cols,'',array('width'=>'700','fontSize'=>10, 
'cols'=>array('nro'=>array('justification'=>'right') 
			 ,'fecha'=>array('justification'=>'center') 
             ,'documento'=>array('justification'=>'left') 
             ,'monto'=>array('justification'=>'right')
			 ,'forma'=>array('justification'=>'left')
			 ,'concepto'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->Rectangle(50,25,700,40);
    $pdf->addText(55,55,10,'ENTREGADO POR:');
	$pdf->addText(405,55,10,'RECIBIDO EN CONTABILIDAD POR');
	$pdf->addText(600,55,10,'FECHA');
	$pdf->line(400,65,400,25); 
}
?> 